<?php 
	$accordions = carbon_get_post_meta( get_the_ID(), 'accordion_items' );
?>

<div class="accordion-post-<?php echo esc_attr( get_the_ID() ); ?>">
	<div class="accordion-content accordion-style-sapuluh">
		<div class="container">
			<?php
			$no = 0;
			foreach ( $accordions as $accordion ) {
				$no++;
				$post_content = apply_filters( 'the_content', $accordion['accordion_item_desc'] ); ?>
				<div class="acc">
					<div class="acc_ctrl">
						<?php accordion_title_view( $accordion['accordion_item_title'] ); ?>
					</div>
					<div class="acc_panel accordion-description">
						<?php echo $post_content; ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>

<script>
	(function($) {
		'use strict';
		$(document).ready(function() {
			$('.acc_ctrl').on('click', function(e) {
				e.preventDefault();
				if ($(this).hasClass('active')) {
					$(this).removeClass('active');
					$(this).next()
						.stop()
						.slideUp(300);
				} else {
					$(this).addClass('active');
					$(this).next()
						.stop()
						.slideDown(300);
				}
			});
		});
	})(jQuery);

</script>
