<?php 
  $accordions = carbon_get_post_meta( get_the_ID(), 'accordion_items' );
  $header_name = carbon_get_post_meta( get_the_ID(), 'accordion_header_name' );
  $title = carbon_get_post_meta( get_the_ID(), 'accordion_header_name' );
  $accordion_header_underline_color = carbon_get_post_meta( get_the_ID(), 'accordion_header_underline_color' );
?>

<div class="accordion-post-<?php echo esc_attr( get_the_ID() ); ?>">
	<div class="accordion-content accordion-style-duabelas">
		<div id="wrapper">
			<ul>
				<?php
				$no = 1;
				foreach ( $accordions as $accordion ) {
					$nop = $no++;
					$post_content = apply_filters( 'the_content', $accordion['accordion_item_desc'] ); ?>
					<li class="li-<?php echo esc_attr( $nop ); ?>">
						<input type="checkbox" checked>
						<i></i>
						<?php accordion_title_class_view( $accordion['accordion_item_title'] ); ?>
						<div class="accordion-description">
							<?php echo $post_content; ?>
						</div>
					</li>
				<?php } ?>
			</ul>
		</div>
	</div>
</div>

<style>
	<?php
	$no = 1;
	foreach ( $accordions as $accordion ) {
		$nop = $no++;
		$anim = 0.5 * $nop;
		?>
		.accordion-style-duabelas ul .li-<?php echo esc_attr( $nop ); ?> {
			<?php if($nop == 1) { ?>border-top: none;<?php } ?>
			animation-delay: <?php echo esc_attr( $anim ); ?>s;
		}
	<?php } ?>
</style>
