<?php 
	$accordions = carbon_get_post_meta( get_the_ID(), 'accordion_items' );
?>
<div class="accordion-post-<?php echo esc_attr( get_the_ID() ); ?>">
	<div class="accordion-content accordion-style-vertical">
		<div id="va-accordion" class="va-container">
			<div class="va-nav">
				<span class="va-nav-prev"><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				width="292.362px" height="292.362px" viewBox="0 0 292.362 292.362" style="enable-background:new 0 0 292.362 292.362;"
				xml:space="preserve"><g><path d="M286.935,197.286L159.028,69.379c-3.613-3.617-7.895-5.424-12.847-5.424s-9.233,1.807-12.85,5.424L5.424,197.286
				C1.807,200.9,0,205.184,0,210.132s1.807,9.233,5.424,12.847c3.621,3.617,7.902,5.428,12.85,5.428h255.813
				c4.949,0,9.233-1.811,12.848-5.428c3.613-3.613,5.427-7.898,5.427-12.847S290.548,200.9,286.935,197.286z"/>
				</g></svg>
				</span>
				<span class="va-nav-next"><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				 width="292.362px" height="292.362px" viewBox="0 0 292.362 292.362" style="enable-background:new 0 0 292.362 292.362;"
				 xml:space="preserve"><g><path d="M286.935,69.377c-3.614-3.617-7.898-5.424-12.848-5.424H18.274c-4.952,0-9.233,1.807-12.85,5.424
					C1.807,72.998,0,77.279,0,82.228c0,4.948,1.807,9.229,5.424,12.847l127.907,127.907c3.621,3.617,7.902,5.428,12.85,5.428
					s9.233-1.811,12.847-5.428L286.935,95.074c3.613-3.617,5.427-7.898,5.427-12.847C292.362,77.279,290.548,72.998,286.935,69.377z"/></g></svg></span>
			</div>
			<div class="va-wrapper">
				<?php
				$no = 0; foreach ( $accordions as $accordion ){ $no++;
				$post_content = apply_filters( 'the_content', $accordion['accordion_item_desc'] ); ?>
				<div class="va-slice va-slice-<?php echo esc_attr( $no ); ?>" style="background: url(<?php echo esc_url( wp_get_attachment_url( intval( $accordion['accordion_item_img'] ) ) ); ?>);">
					<h3 class="va-title accordion-name">
						<?php echo wp_specialchars_decode( $accordion['accordion_item_title'] ); ?>
					</h3>
					<div class="va-content accordion-description">
						<?php echo $post_content;?>
					</div>
					<div class="open-overlay"></div>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>

<?php wp_enqueue_script( 'ta-easing-awesome', plugin_dir_url( __DIR__ ) . 'js/jquery.easing.1.3.js', array( 'jquery' ), '', false );?>
<?php wp_enqueue_script( 'ta-mousewheel-awesome', plugin_dir_url( __DIR__ ) . 'js/jquery.mousewheel.js', array( 'jquery' ), '', false );?>
<?php wp_enqueue_script( 'ta-vaccordion-awesome', plugin_dir_url( __DIR__ ) . 'js/jquery.vaccordion.js', array( 'jquery' ), '', false );?>

<script type="text/javascript">
	(function($) {
		'use strict';
		$(document).ready(function() {
			$('.accordion-post-<?php echo esc_attr(get_the_ID()); ?> #va-accordion').vaccordion();
		});
	})(jQuery);

</script>
