<?php 
	$accordions = carbon_get_post_meta( get_the_ID(), 'accordion_items' );
	$header_name = carbon_get_post_meta( get_the_ID(), 'accordion_header_name' );
	$accordion_header_background_color = carbon_get_post_meta( get_the_ID(), 'accordion_header_background_color' );
?>
<div class="accordion-post-<?php echo esc_attr( get_the_ID() ); ?>">
	<div class="accordion-content accordion-style-dalapan">
		<div class="header-box" <?php if(!empty($accordion_header_background_color)) { ?>style="background-color: <?php echo esc_html( $accordion_header_background_color ); ?>;" <?php } ?>>
			<?php accordion_header_name( $header_name ); ?>
		</div>
		<div class="accordion arrows">
			<?php
			$no = 0;
			foreach ( $accordions as $accordion ) {
				$no++;
				$post_content = apply_filters( 'the_content', $accordion['accordion_item_desc'] ); ?>
				<input type="radio" name="accordion" id="<?php echo esc_attr( $no ); ?>" />
				<section class="box">
					<label class="box-title accordion-name" for="<?php echo esc_attr( $no ); ?>">
						<?php echo wp_specialchars_decode( $accordion['accordion_item_title'] ); ?>
					</label>
					<label class="box-close" for="acc-close"></label>
					<div class="box-content accordion-description"><?php echo $post_content; ?></div>
				</section>
			<?php } ?>
			<input type="radio" name="accordion" id="acc-close" />
		</div>
	</div>
</div>
